{% extends "admin_base.html" %}


{% block content %}





<div id="myModal" class="modal fade" role="dialog">
  <div class="modal-dialog">

    <!-- Modal content-->
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title"></h4>
      </div>
      <div class="modal-body">
      <div class='modal-images'>

 <div style="width:100%;" class="container">
  <h2></h2>  
  <div style="width:100%;" id="myCarousel" class="carousel slide" data-ride="carousel">
    <!-- Indicators -->
  <!--   <ol class="carousel-indicators">
      <li data-target="#myCarousel" data-slide-to="0" class="active"></li>
      <li data-target="#myCarousel" data-slide-to="1"></li>
      <li data-target="#myCarousel" data-slide-to="2"></li>
    </ol> -->

    <!-- Wrapper for slides -->
    <div class="carousel-inner">
    
      
      {% for item in item.image_urls %}
      
      {% if loop.index == 1 %}

      <div class="item active">
        <img src="https://storage.googleapis.com{{item}}" style="width:100%;height:300px;">
      </div>
      {% else %}
       <div class="item">
        <img src="https://storage.googleapis.com{{item}}" style="width:100%;height:300px;">
      </div>
      {% endif %}
      
    
     
      {% endfor %}


    </div>

    <!-- Left and right controls -->
    <a class="left carousel-control" href="#myCarousel" data-slide="prev">
      <span class="glyphicon glyphicon-chevron-left"></span>
      <span class="sr-only">Previous</span>
    </a>
    <a class="right carousel-control" href="#myCarousel" data-slide="next">
      <span class="glyphicon glyphicon-chevron-right"></span>
      <span class="sr-only">Next</span>
    </a>
  </div>
</div>


        
      </div>

      <p id="item-description"></p>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
      </div>
    </div>

  </div>
</div>








<div class="row">
  

        <div class="col-md-6">
    <h1 class="titles">Edit item</h1>   
    <form id="edit-item-form" enctype="multipart/form-data" method="post">
        
        <div class="form-group" id="form_section">
            <label>Name</label>
            <input class="form-control" value="{{item.name}}" name="name" id="name">
           <label>Description</label> 
            <input required name="description" value="{{item.description}}"  class="form-control" id="description">
            <label>Ideal for</label> 
            <input required name="usage" value="{{item.usage}}"  class="form-control" id="usage">
            <label>Stock Quantity</label> 
            <input name="stock" type="number" value="{{item.quantity}}" class="form-control" id="stock">
            <label>Price</label> 
            <input name="price" type="number" step=".01" value="{{item.price}}" class="form-control" id="price">
           <label>Images</label> <br>

         <button style="margin-bottom: 12px;" type="button" data-toggle="modal" data-target="#myModal" class="btn btn-primary">View</button>
         <br>
            <input accept="image/*" name="item_picture" type="file" class="form-control" id="item_picture">
            <div class="form-group">
                    <label for="pod_size">Category:</label>
                    <select required id="categories" name="category" class="form-control">
                      <option>{{item.category.get().name}}</option>
                      {% for c in item_categories %}
                        <option>{{c.name}}</option>
                      {% endfor %}

                    </select>
                </div>
            
        </div>
        <br><br>
        <div class="checkbox">
  <label><input type="checkbox" name="delete_item">Mark for deletion</label>
</div>
        <div class="form-group">
            <button type='submit' class="btn btn-large btn-info" id="add-btn" >Apply changes</a>
            
        </div>
       
      
    </form>
      <div class="form-group">
        <!--   <button class="btn btn-large btn-info" id="delete-btn" >Delete</a> -->
           
            
        </div>

</div>

    <div class="col-md-6">

   


    </div>

</div>



        {% endblock %}


   {% block scripts %}



        {% endblock %}


